simplelist
Prev | DocBook Element Reference | Next

This is an alpha version of this book.

# simplelist

simplelist — An undecorated list of single words or short phrases

## Synopsis

### Content Model

    simplelist ::=
    (member+)

### Attributes

Common attributes

Name | Type | Default
columns | CDATA | None

type

Enumeration:

horiz
inline
vert

"vert"

## Description

A `SimpleList` is a list of words or phrases. It offers a convenient alternative to the other list elements for inline content.

### Processing expectations

Ironically, the processing expectations of a `SimpleList` are quite complex.

The presentation of a `SimpleList` is controlled by the `Type` attribute, which has three possible values:

`Inline`

  Indicates that the `Member`s of the list should be rendered as a comma separated, inline list.

`Horiz`

  Indicates that the `Member`s of the list should be rendered in a tabular fashion with members running across the rows.

`Vert`

  Indicates that the `Member`s of the list should be rendered in a tabular fashion with members running down the columns. This is the default.

In both of the tabular cases, the number of columns in the table is controlled by the `Columns` attribute.

### Parents

These elements contain simplelist: `answer`, `appendix`, `article`, `bibliodiv`, `bibliography`, `blockquote`, `callout`, `caption`, `caution`, `chapter`, `colophon`, `constraintdef`, `dedication`, `entry`, `example`, `footnote`, `glossary`, `glossdef`, `glossdiv`, `highlights`, `important`, `index`, `indexdiv`, `informalexample`, `legalnotice`, `listitem`, `msgexplan`, `msgtext`, `note`, `para`, `partintro`, `preface`, `procedure`, `qandadiv`, `qandaset`, `question`, `refsect1`, `refsect2`, `refsect3`, `refsection`, `refsynopsisdiv`, `revdescription`, `sect1`, `sect2`, `sect3`, `sect4`, `sect5`, `section`, `setindex`, `sidebar`, `simplesect`, `step`, `textobject`, `tip`, `warning`.

### Children

The following elements occur in simplelist: `member`.

## Attributes

columns

  `Columns` specifies the number of columns to be used in the presentation of a `SimpleList` with a `Type` of `Vert` or `Horiz`. If `Columns` is unspecified, `1` is assumed.

type

  `Type` specifies how the `Member`s of the `SimpleList` are to be formatted. (This attribute would better fit DocBook semantics if it were named “`Class`”).

## See Also

`calloutlist`, `itemizedlist`, `listitem`, `orderedlist`, `segmentedlist`, `variablelist`.

## Examples

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    Here is a <sgmltag>SimpleList</sgmltag>, rendered inline:
    <simplelist type='inline'>
    <member>A</member>
    <member>B</member>
    <member>C</member>
    <member>D</member>
    <member>E</member>
    <member>F</member>
    <member>G</member>
    </simplelist>
    </para>

Here is a `SimpleList`, rendered inline: A, B, C, D, E, F, G

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    Here is the same <sgmltag>SimpleList</sgmltag> rendered horizontally with
    three columns:
    <simplelist type='horiz' columns='3'>
    <member>A</member>
    <member>B</member>
    <member>C</member>
    <member>D</member>
    <member>E</member>
    <member>F</member>
    <member>G</member>
    </simplelist>
    </para>

Here is the same `SimpleList` rendered horizontally with three columns:

A | B | C
D | E | F
G |  |

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    Finally, here is the list rendered vertically:
    <simplelist type='vert' columns='3'>
    <member>A</member>
    <member>B</member>
    <member>C</member>
    <member>D</member>
    <member>E</member>
    <member>F</member>
    <member>G</member>
    </simplelist>
    </para>

Finally, here is the list rendered vertically:

A | D | G
B | E |
C | F |

Prev | Home | Next
simpara | Up | simplemsgentry

Copyright© 1999, 2000, 2001 O'Reilly & Associates, Inc. All rights reserved.